#include <stdio.h>
#include <stdlib.h>
#include "LZMA_C/LzmaDecode.h"

#define LZMA_TMP "./lzma.tmp"
#define LZMA_COMPRESSED "./lzma.compressed"


char lzma_path[4096]="";

int compress7z(char *d, unsigned long *c_byte, char *s, int size)
{
	FILE *fp;
	char tmp[4096]="";
	
	
	fp=fopen(LZMA_TMP,"w");
	fwrite(s,size,1,fp);
	fclose(fp);
        sprintf(tmp,"%slzma e -so lzma.tmp\n",lzma_path);
	
	fp=popen(tmp,"r");
	
	if(fp==NULL){
		unlink(LZMA_TMP);
		return -1;
	}
	*c_byte=fread(d,1,size,fp);
	pclose(fp);
	
	unlink(LZMA_TMP);
	return 0;
}

int uncompress7z(char *d, unsigned long *c_byte, char *s, int size)
{
	int lc, lp, pb;
	unsigned char prop0 ;
        unsigned char properties[5];
	unsigned long lzmaInternalSize;
	char *lzmaInternalData;
	int outSizeProcessed;
	int result =0;
	int outSize=0,ii;
	unsigned char b; 
	
	memcpy(properties,s,sizeof(properties));
	
	
	for (ii = 0; ii < 4; ii++)
	{
		b=*(s+sizeof(properties)+ii);
		outSize += (unsigned int)(b) << (ii * 8);
	}

	prop0 = properties[0];
	if (prop0 >= (9*5*5))
	{
		printf("<RON>fail\n");
		return 1;
	}
	for (pb = 0; prop0 >= (9 * 5); 
	pb++, prop0 -= (9 * 5));
	for (lp = 0; prop0 >= 9; 
	lp++, prop0 -= 9);
	lc = prop0;
	
	lzmaInternalSize = 
		(LZMA_BASE_SIZE + (LZMA_LIT_SIZE << (lc + lp))) *  sizeof(CProb)
;
	lzmaInternalData = malloc(lzmaInternalSize);
	
	result = LzmaDecode(lzmaInternalData, lzmaInternalSize,
        	lc, lp, pb, s+13, size-13,d, outSize, &outSizeProcessed);
	
        *c_byte=outSizeProcessed;
	
	free(lzmaInternalData);
	return 0;
}

