/******************************************************************************
 *
 *  (C) Copyright 2004 Trend Micro, Inc.
 *
 *  All Rights Reserved.
 *  This program is an unpublished copyrighted work which is proprietary
 *  to Trend Micro, Inc. and contains confidential information that is not
 *  to be reproduced or disclosed to any other person or entity without
 *  prior written consent from Trend Micro, Inc. in each and every instance.
 *
 *  WARNING:  Unauthorized reproduction of this program as well as
 *  unauthorized preparation of derivative works based upon the
 *  program or distribution of copies by sale, rental, lease or
 *  lending are violations of federal copyright laws and state trade
 *  secret laws, punishable by civil and criminal penalties.
 *
 *****************************************************************************/

/**
 *  @file http_message.h
 *  @brief TMOG HTTP Proxy Module
 */

/*
 *  Change Log
 *  2004-02-17 Eirc Li    Initial Version
 */


#ifndef HTTP_MESSAGE_HEADER
#define HTTP_MESSAGE_HEADER

#include "tmURLRater.h"

#define LOGIN_SUCCESS_MESSAGE   "Accesso riuscito.  ora possibile accedere a Internet."
#define LOGOUT_SUCCESS_MESSAGE  "Disconnessione riuscita."
#define LOGIN_MESSAGE           "Accedi"
#define LOGOUT_MESSAGE          "Esci"
#define ERROR_MESSAGE           "Errore"
#define PASSWORD_ERROR_MESSAGE \
"<table width=\"100%%\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\"\r\n"\
"bgcolor=\"ffffcc\">\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/error.gif\" width=\"18\" height=\r\n"\
"\"18\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">Password errata. Selezionare un nome utente dall'elenco, digitare la password corretta, quindi fare clic su Accedi.\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</table>\r\n"\
"<br>"

#define PASSWORD_ERROR_MESSAGE2 \
"<tr><td><br></td></tr>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/error.gif\" width=\"18\" height=\r\n"\
"\"18\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">Password errata. Scegliere un nome utente dall'elenco, digitare la password corretta, quindi fare clic su Sospendi.</td></tr>\r\n"

#define PASSWORD_ERROR_MESSAGE3 \
"<tr><td><br></td></tr>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/error.gif\" width=\"18\" height=\r\n"\
"\"18\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">Password errata. Digitare la password impostata nella videata di controllo genitori del router, quindi fare clic su Sospendi.</td></tr>\r\n"

#define NO_PRIVILEGE_ERROR_MESSAGE \
"<tr><td><br></td></tr>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/error.gif\" width=\"18\" height=\r\n"\
"\"18\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">L'utente selezionato non possiede privilegi sufficienti per accedere al sito Web richiesto.</td></tr>\r\n"

#define HTTP_HEADER \
"HTTP/1.1 200 OKAY\r\nConnection: close\r\nContent-Type: text/html\r\n\r\n"

#define LOGIN_REDIR \
"<html><head>\r\n"\
"<META Http-Equiv=\"Cache-Control\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Pragma\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Expires\" Content=\"0\"> \r\n"\
"<meta http-equiv=\"Refresh\" content=\"0;URL=http://%s\">\r\n"\
"</head></html>"

#define LOGINOUT_SUCCESS \
"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\r\n"\
"<html>\r\n"\
"<head>\r\n"\
"<title>Controllo genitori Trend Micro Home Network Security - %s</title>\r\n"\
"<BASE href=\"http://%s/\">\r\n"\
"<meta http-equiv=\"Cache-Control\" content=\"no-cache\">\r\n"\
"<meta http-equiv=\"Pragma\" content=\"no-cache\">\r\n"\
"<meta http-equiv=\"Expires\" content=\"0\">\r\n"\
"<meta http-equiv=\"Content-Type\" content=\r\n"\
"\"text/html; charset=iso-8859-1\">\r\n"\
"<link href=\"css/hnss.css\" type=\"text/css\" rel=\"stylesheet\">\r\n"\
"<meta content=\"MSHTML 6.00.2800.1458\" name=\"GENERATOR\">\r\n"\
"</head>\r\n"\
"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\r\n"\
"\"0\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"757\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\"><img height=\"119\" src=\"images/banner.gif\"\r\n"\
"width=\"757\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\">\r\n"\
"<table cellspacing=\"3\" cellpadding=\"0\" width=\"100%%\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" class=\"content\" bgcolor=\"#FFFFFF\"><br>\r\n"\
"<table height=\"320\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"200\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"80%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" colspan=\"2\" height=\"25\">\r\n"\
"&nbsp;</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_lt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"<td class=\"tableheader\" background=\"images/tbg_t.gif\">Il mio\r\n"\
"Router</td>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_rt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" background=\"images/tbg_l.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_l.gif\" width=\"10\"></td>\r\n"\
"<td>\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td colspan=\"2\" height=\"5\" bgcolor=\"#FFFFFF\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"25%%\" bgcolor=\"#FFFFFF\"><img height=\"36\"\r\n"\
"src=\"images/icon_router.gif\" width=\"36\"></td>\r\n"\
"<td class=\"boxcontent\" width=\"75%%\" bgcolor=\"#FFFFFF\">Per modificare il controllo genitori,  \r\n"\
"accedere alla <a href=\"http://%s\"\r\n"\
"target=\"_blank\">videata di impostazione del router</a> usando nome utente e password appositi, quindi fare clic sul pulsante Controllo genitori.\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" background=\"images/tbg_r.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tbg_b.gif\" height=\"10\"><img height=\"10\" src=\r\n"\
"\"images/tbg_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"1\" background=\"images/dotline_h.gif\"></td>\r\n"\
"<td valign=\"top\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"90%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" height=\"25\" align=\"center\">\r\n"\
"Controllo genitori - Operazione %s riuscita</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td>\r\n"\
"<table width=\"100%%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">\r\n"\
"<tr bgcolor=\"#CCCC66\">\r\n"\
"<td>\r\n"\
"<table width=\"100%%\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\"\r\n"\
"bgcolor=\"ffffcc\">\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/littlei.gif\" width=\"14\" height=\r\n"\
"\"17\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">%s</td>\r\n"\
"</tr>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</body>\r\n"\
"</html>"

#define LOGINOUT_ERROR \
"<html><head>\r\n"\
"<META Http-Equiv=\"Cache-Control\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Pragma\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Expires\" Content=\"0\"> \r\n"\
"<title>Errore di disconnessione</title></head>Errore interno: %d - %s

#define REDIRECT_PAGE_MESSAGE \
"<html>\r\n"\
"<META Http-Equiv=\"Cache-Control\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Pragma\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Expires\" Content=\"0\"> \r\n"\
"<body>\r\n"\
"<script language=JavaScript>\r\n"\
"<!--\r\n"\
"   document.write(\"<meta http-equiv='Refresh'  content='0;"\
"                 URL=\" + window.location + \"'>\");\r\n"\
"//-->\r\n"\
"</script>\r\n"\
"<script language=JavaScript>\r\n"\
"try{\r\n"\
"  h = open(\"%s?_____________________________________\", \"popup\", \"width=800, height=550, "\
" left=0, top=0, location=0, scrollbars=yes, toolbar=no, "\
" resizable=yes, menubar=no\");\r\n"\
"  h.focus(); \r\n"\
"} catch(e)\r\n"\
"{\r\n"\
"    alert(\"Il software che blocca i pop-up ha impedito l'avvio del pannello comandi di Trend Micro. Aprire una finestra di Internet Explorer e inserire il seguente URL nella barra degli indirizzi: \");\r\n"\
"}\r\n"\
"</script>\r\n"\
"</body></html>\r\n"

#define BLOCK_PAGE_MESSAGE \
"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\r\n"\
"<html>\r\n"\
"<head>\r\n"\
"<title>Controllo genitori Trend Micro Home Network Security - Blocco e sospensione</title>\r\n"\
"<BASE href=\"http://%s/\">\r\n"\
"<script language=\"JavaScript\" src=\"javascripts/md5.js\"></script>\r\n"\
"<script language=\"JavaScript\" src=\"javascripts/logon.js\"></script>\r\n"\
"<META Http-Equiv=\"Cache-Control\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Pragma\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Expires\" Content=\"0\"> \r\n"\
"<meta http-equiv=\"Content-Type\" content=\r\n"\
"\"text/html; charset=iso-8859-1\">\r\n"\
"<link href=\"css/hnss.css\" type=\"text/css\" rel=\"stylesheet\">\r\n"\
"<meta content=\"MSHTML 6.00.2800.1458\" name=\"GENERATOR\">\r\n"\
"</head>\r\n"\
"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\r\n"\
"\"0\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"757\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\"><img height=\"119\" src=\"images/banner.gif\"\r\n"\
"width=\"757\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\">\r\n"\
"<table cellspacing=\"3\" cellpadding=\"0\" width=\"100%%\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" class=\"content\" bgcolor=\"#FFFFFF\"><br>\r\n"\
"<table height=\"360\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"200\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"80%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" colspan=\"2\" height=\"25\">\r\n"\
"&nbsp;</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_lt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"<td class=\"tableheader\" background=\"images/tbg_t.gif\">Il mio\r\n"\
"Router</td>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_rt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" background=\"images/tbg_l.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_l.gif\" width=\"10\"></td>\r\n"\
"<td>\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td colspan=\"2\" height=\"5\" bgcolor=\"#FFFFFF\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"25%%\" bgcolor=\"#FFFFFF\"><img height=\"36\"\r\n"\
"src=\"images/icon_router.gif\" width=\"36\"></td>\r\n"\
"<td class=\"boxcontent\" width=\"75%%\" bgcolor=\"#FFFFFF\">Per modificare il controllo genitori, \r\n"\
"accedere alla  <a href=\r\n"\
"\"http://%s/\"\r\n"\
" target=\"_blank\">videata di impostazione del router</a> usando nome utente e password appositi, quindi fare clic sul pulsante Controllo genitori.\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" background=\"images/tbg_r.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tbg_b.gif\" height=\"10\"><img height=\"10\" src=\r\n"\
"\"images/tbg_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"1\" background=\"images/dotline_h.gif\"></td>\r\n"\
"<td valign=\"top\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"90%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" height=\"25\" align=\"center\">\r\n"\
"Pagina Web bloccata.</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td>\r\n"\
"<table width=\"100%%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">\r\n"\
"<tr bgcolor=\"#CCCC66\">\r\n"\
"<td>\r\n"\
"<table width=\"100%%\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\"\r\n"\
"bgcolor=\"ffffcc\">\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/error.gif\" width=\"18\" height=\r\n"\
"\"18\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">Il controllo genitori di Trend Micro Security Services ha rilevato che non si dispone di privilegi sufficienti per accedere a questo sito. L'URL richiesto : <strong>http://%s%s</strong>\r\n"\
"Questo sito potrebbe contenere contenuti appartenenti alla seguente categoria bloccata: \r\n"\
"<strong>%s</strong>. Se si ritiene che il sito non sia stato valutato correttamente \r\n"\
<a href=\"http://www.trendmicro.com/submit-files/index.htm\" target=\"_blank\">fare clic qui</a> per segnalarlo e richiederne la valutazione.  Trend Micro Security Services ha registrato questo tentativo di accesso.</td>\r\n"\
"</tr>\r\n"\
"%s\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</table>\r\n"\
"<br>\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"10\" bgcolor=\"#E00505\"><img height=\"40\" src=\r\n"\
"\"images/tred_lt2.gif\" width=\"10\"></td>\r\n"\
"<td class=\"tableheader\" bgcolor=\"#E00505\">\r\n"\
"<div align=\"center\">SOSPENSIONE DEL CONTROLLO GENITORI<br>\r\n"\
"Digitare la password e fare clic su Sospendi.</div>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"10\" bgcolor=\"#E00505\"><img height=\"40\" src=\r\n"\
"\"images/tred_rt2.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td background=\"images/tred_l.gif\"><img height=\"10\" src=\r\n"\
"\"images/tred_l.gif\" width=\"10\"></td>\r\n"\
"<td valign=\"top\" bgcolor=\"#FFFFFF\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<form method=\"post\" name=\"myForm\" action=\"trend/tmLogon.cgi\" "\
"enctype=\"application/x-www-form-urlencoded\" onSubmit=\"md5_user();\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Password:<br>\r\n"\
"</span>\r\n"\
"<input class=\"content\" type=\"password\" name=\"passwd\" size=\"10\"><br>\r\n"\
"<input type=\"hidden\" name=\"req_url\" value=\"%s%s\">\r\n"\
"<input type=\"hidden\" name=\"from\" value=\"superuser\">\r\n"\
"<input type=\"hidden\" name=\"category\" value=\"%s\">\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Durata sospensione<br>\r\n"\
"</span>\r\n"\
"<select size=\"1\" name=\"valid_time\">\r\n"\
"<option value=\"43200\">12 ore</option>\r\n"\
"<option value=\"21600\">6 ore</option>\r\n"\
"<option value=\"7200\">2 ore</option>\r\n"\
"<option value=\"3600\" selected>1 ora</option>\r\n"\
"<option value=\"1800\">30 minuti</option>\r\n"\
"<option value=\"900\">15 minuti</option>\r\n"\
"<option value=\"300\">5 minuti</option>\r\n"\
"</select>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" bgcolor=\"#999999\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td height=\"32\">\r\n"\
"<div align=\"center\">\r\n"\
"<input class=\"button\" type=\"submit\" name=\"submit\" value=\"Sospendi\">\r\n"\
"</form>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td background=\"images/tred_r.gif\"><img height=\"10\" src=\r\n"\
"\"images/tred_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tred_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tred_b.gif\" height=\"10\"><img height=\"10\"\r\n"\
"src=\"images/tred_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tred_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"<br>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</body>\r\n"\
"</html>"

#define BLOCK_LOGIN_PAGE_MESSAGE \
"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\r\n"\
"<html>\r\n"\
"<head>\r\n"\
"<title>Controllo genitori Trend Micro Home Network Security - Blocco e sospensione</title>\r\n"\
"<BASE href=\"http://%s/\">\r\n"\
"<script language=\"JavaScript\" src=\"javascripts/md5.js\"></script>\r\n"\
"<script language=\"JavaScript\" src=\"javascripts/logon.js\"></script>\r\n"\
"<META Http-Equiv=\"Cache-Control\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Pragma\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Expires\" Content=\"0\"> \r\n"\
"<meta http-equiv=\"Content-Type\" content=\r\n"\
"\"text/html; charset=iso-8859-1\">\r\n"\
"<link href=\"css/hnss.css\" type=\"text/css\" rel=\"stylesheet\">\r\n"\
"<meta content=\"MSHTML 6.00.2800.1458\" name=\"GENERATOR\">\r\n"\
"</head>\r\n"\
"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\r\n"\
"\"0\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"757\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\"><img height=\"119\" src=\"images/banner.gif\"\r\n"\
"width=\"757\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\">\r\n"\
"<table cellspacing=\"3\" cellpadding=\"0\" width=\"100%%\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" class=\"content\" bgcolor=\"#FFFFFF\"><br>\r\n"\
"<table height=\"360\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"200\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"80%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" colspan=\"2\" height=\"25\">\r\n"\
"&nbsp;</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_lt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"<td class=\"tableheader\" background=\"images/tbg_t.gif\">Il mio\r\n"\
"Router</td>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_rt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"</tr>\r\n"\
"\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" background=\"images/tbg_l.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_l.gif\" width=\"10\"></td>\r\n"\
"<td>\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td colspan=\"2\" height=\"5\" bgcolor=\"#FFFFFF\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"25%%\" bgcolor=\"#FFFFFF\"><img height=\"36\"\r\n"\
"src=\"images/icon_router.gif\" width=\"36\"></td>\r\n"\
"<td class=\"boxcontent\" width=\"75%%\" bgcolor=\"#FFFFFF\">Per modificare il controllo genitori, \r\n"\
"accedere alla <a href=\r\n"\
"\"http://%s/\"\r\n"\
" target=\"_blank\">videata di impostazione del router</a> usando nome utente e password appositi, quindi fare clic sul pulsante Controllo genitori.\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" background=\"images/tbg_r.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tbg_b.gif\" height=\"10\"><img height=\"10\" src=\r\n"\
"\"images/tbg_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"<br>\r\n"\
"<center>\r\n"\
"<input name=\"LogoutButton\" onclick=\r\n"\
"\"Javascript: window.location = 'http://%s/trend/tmLogout.cgi';\"\r\n"\
" value=\"Esci\" class=\"button\" type=\"button\">\r\n"\
"</center>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"1\" background=\"images/dotline_h.gif\"></td>\r\n"\
"<td valign=\"top\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"90%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" height=\"25\" align=\"center\">\r\n"\
"Pagina Web bloccata.</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td>\r\n"\
"<table width=\"100%%\" border=\"0\" cellspacing=\"0\" cellpadding=\"1\">\r\n"\
"<tr bgcolor=\"#CCCC66\">\r\n"\
"<td>\r\n"\
"<table width=\"100%%\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\"\r\n"\
"bgcolor=\"ffffcc\">\r\n"\
"<tr valign=\"top\">\r\n"\
"<td width=\"33\" class=\"contentbold\">\r\n"\
"<div align=\"left\"><img src=\"images/error.gif\" width=\"18\" height=\r\n"\
"\"18\"></div>\r\n"\
"</td>\r\n"\
"<td width=\"439\" class=\"content\">Il controllo genitori di Trend Micro Security Services ha rilevato che non si dispone di privilegi sufficienti per accedere a questo sito. L'URL richiesto : <strong>http://%s%s</strong>\r\n"\
"Questo sito potrebbe contenere contenuti appartenenti alla seguente categoria bloccata:\r\n"\
"<strong>%s</strong>. Se si ritiene che il sito non sia stato valutato correttamente, \r\n"\
"<a href=\"http://www.trendmicro.com/submit-files/index.htm\" target=\"_blank\">fare clic qui</a> per segnalarlo e richiederne la valutazione.  Trend Micro Security Services ha registrato questo tentativo di accesso.</td>\r\n"\
"</tr>\r\n"\
"%s\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</table>\r\n"\
"<br>\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"10\" bgcolor=\"#E00505\"><img height=\"40\" src=\r\n"\
"\"images/tred_lt2.gif\" width=\"10\"></td>\r\n"\
"<td class=\"tableheader\" bgcolor=\"#E00505\">\r\n"\
"<div align=\"center\">SOSPENSIONE DEL CONTROLLO GENITORI<br>\r\n"\
"Selezionare un utente con accesso completo, digitare la password e fare clic su Sospendi.</div>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"10\" bgcolor=\"#E00505\"><img height=\"40\" src=\r\n"\
"\"images/tred_rt2.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td background=\"images/tred_l.gif\"><img height=\"10\" src=\r\n"\
"\"images/tred_l.gif\" width=\"10\"></td>\r\n"\
"<td valign=\"top\" bgcolor=\"#FFFFFF\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<form method=\"post\" name=\"myForm\" action=\"trend/tmLogon.cgi\" "\
"enctype=\"application/x-www-form-urlencoded\" onSubmit=\"md5_user();\">\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Nome utente:<br>\r\n"\
"</span>\r\n"\
"<select size=\"1\" name=\"username\">\r\n"\
"%s</select>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Password:<br>\r\n"\
"</span>\r\n"\
"<input type=\"password\" name=\"passwd\" size=\"10\">\r\n"\
"<input type=\"hidden\" name=\"req_url\" value=\"%s%s\">\r\n"\
"<input type=\"hidden\" name=\"from\" value=\"useroverride\">\r\n"\
"<input type=\"hidden\" name=\"category\" value=\"%s\">\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Durata sospensione:<br>\r\n"\
"</span>\r\n"\
"<select name=valid_time>\r\n"\
"<option value=\"43200\">12 ore</option>\r\n"\
"<option value=\"21600\">6 ore</option>\r\n"\
"<option value=\"7200\">2 ore</option>\r\n"\
"<option value=\"3600\" selected>1 ora</option>\r\n"\
"<option value=\"1800\">30 minuti</option>\r\n"\
"<option value=\"900\">15 minuti</option>\r\n"\
"<option value=\"300\">5 minuti</option>\r\n"\
"</select>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" bgcolor=\"#999999\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td height=\"32\">\r\n"\
"<div align=\"center\">\r\n"\
"<input class=\"button\" type=\"submit\" name=\"submit\" value=\"Override\">\r\n"\
"</form>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td background=\"images/tred_r.gif\"><img height=\"10\" src=\r\n"\
"\"images/tred_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tred_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tred_b.gif\" height=\"10\"><img height=\"10\"\r\n"\
"src=\"images/tred_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tred_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"<br>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</body>\r\n"\
"</html>"

#define LOGIN_PAGE_MESSAGE \
"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\r\n"\
"<html>\r\n"\
"<head>\r\n"\
"<title>Accesso a controllo genitori Trend Micro Home Network Security </title>\r\n"\
"<BASE href=\"http://%s/\">\r\n"\
"<script language=\"JavaScript\" src=\"javascripts/md5.js\"></script>\r\n"\
"<script language=\"JavaScript\" src=\"javascripts/logon.js\"></script>\r\n"\
"<META Http-Equiv=\"Cache-Control\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Pragma\" Content=\"no-cache\">\r\n"\
"<META Http-Equiv=\"Expires\" Content=\"0\"> \r\n"\
"<meta http-equiv=\"Content-Type\" content=\r\n"\
"\"text/html; charset=iso-8859-1\">\r\n"\
"<link href=\"css/hnss.css\" type=\"text/css\" rel=\"stylesheet\">\r\n"\
"<meta content=\"MSHTML 6.00.2800.1458\" name=\"GENERATOR\">\r\n"\
"</head>\r\n"\
"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\r\n"\
"\"0\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"757\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\"><img height=\"119\" src=\"images/banner.gif\"\r\n"\
"width=\"757\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td bgcolor=\"#C7CBCA\">\r\n"\
"<table cellspacing=\"3\" cellpadding=\"0\" width=\"100%%\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" class=\"content\" bgcolor=\"#FFFFFF\"><br>\r\n"\
" \r\n"\
"<table height=\"320\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"200\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"80%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" colspan=\"2\" height=\"25\">\r\n"\
"&nbsp;</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_lt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"<td class=\"tableheader\" background=\"images/tbg_t.gif\">Il mio\r\n"\
"Router</td>\r\n"\
"<td width=\"10\"><img height=\"20\" src=\"images/tbg_rt.gif\" width=\r\n"\
"\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" background=\"images/tbg_l.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_l.gif\" width=\"10\"></td>\r\n"\
"<td>\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td colspan=\"2\" height=\"5\" bgcolor=\"#FFFFFF\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"25%%\" bgcolor=\"#FFFFFF\"><img height=\"36\"\r\n"\
"src=\"images/icon_router.gif\" width=\"36\"></td>\r\n"\
"<td class=\"boxcontent\" width=\"75%%\" bgcolor=\"#FFFFFF\">Per modificare il controllo genitori, \r\n"\
"accedere alla <a href=\r\n"\
"\"http://%s\"\r\n"\
" target=\"_blank\">videata di impostazione del router</a> usando nome utente e password appositi, quindi fare clic sul pulsante Controllo genitori.\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" background=\"images/tbg_r.gif\"><img height=\"10\"\r\n"\
"src=\"images/tbg_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tbg_b.gif\" height=\"10\"><img height=\"10\" src=\r\n"\
"\"images/tbg_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tbg_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"1\" background=\"images/dotline_h.gif\"></td>\r\n"\
"<td valign=\"top\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"90%%\" align=\"center\"\r\n"\
"border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr valign=\"top\">\r\n"\
"<td class=\"redtitle\" width=\"100%%\" height=\"25\" align=\"center\">\r\n"\
"Accesso a controllo genitori TMSS</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td>\r\n"\
"%s\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td valign=\"top\" width=\"10\" bgcolor=\"#E00505\"><img height=\"40\" src=\r\n"\
"\"images/tred_lt2.gif\" width=\"10\"></td>\r\n"\
"<td class=\"tableheader\" bgcolor=\"#E00505\">\r\n"\
"<div align=\"center\">Controllo genitori attivato in modalit Per utente.<br>\r\n"\
"Selezionare il nome utente dall'elenco, digitare la password, quindi fare clic su Accedi.\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"<td valign=\"top\" width=\"10\" bgcolor=\"#E00505\"><img height=\"40\" src=\r\n"\
"\"images/tred_rt2.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td background=\"images/tred_l.gif\"><img height=\"10\" src=\r\n"\
"\"images/tred_l.gif\" width=\"10\"></td>\r\n"\
"<td valign=\"top\" bgcolor=\"#FFFFFF\">\r\n"\
"<table cellspacing=\"0\" cellpadding=\"0\" width=\"100%%\" border=\"0\">\r\n"\
"<tbody>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<form method=\"post\" name=\"myForm\" action=\"trend/tmLogon.cgi\" "\
"enctype=\"application/x-www-form-urlencoded\" onSubmit=\"md5_user();\">\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Nome utente:<br>\r\n"\
"</span>\r\n"\
"<select size=\"1\" name=\"username\">\r\n"\
"%s</select>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\">\r\n"\
"<div align=\"center\"><span class=\"contentbold\">Password:<br>\r\n"\
"</span>\r\n"\
"<input class=\"content\" type=\"password\" name=\"passwd\" size=\"10\">\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" bgcolor=\"#999999\"><img height=\"1\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td class=\"content\" height=\"5\"><img height=\"5\" src=\r\n"\
"\"images/1space.gif\" width=\"1\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td height=\"32\">\r\n"\
"<div align=\"center\">\r\n"\
"<input type=\"hidden\" name=\"req_url\" value=\"%s%s\">\r\n"\
"<input type=\"hidden\" name=\"from\" value=\"user\">\r\n"\
"<input class=\"button\" type=\"submit\" value=\"Accedi\" name=\"submit\">\r\n"\
"</form>\r\n"\
"</div>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td height=\"35\" valign=\"middle\" class=\"content\"><br>\r\n"\
"<strong>Nota:</strong> Per disconnettersi, fare clic sull'icona di Trend Micro <img src=\r\n"\
"\"images/install_tmss.gif\" width=\"94\" height=\"42\" align=\"absmiddle\">\r\n"\
"nella barra degli strumenti o nel menu Start. Verr visualizzato il pannello comandi di Trend Micro. Fare clic sulla scheda Controllo genitori, quindi su Annulla sospensione.\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"<td background=\"images/tred_r.gif\"><img height=\"10\" src=\r\n"\
"\"images/tred_r.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"<tr>\r\n"\
"<td><img height=\"10\" src=\"images/tred_lb.gif\" width=\"10\"></td>\r\n"\
"<td background=\"images/tred_b.gif\" height=\"10\"><img height=\"10\"\r\n"\
"src=\"images/tred_b.gif\" width=\"10\"></td>\r\n"\
"<td><img height=\"10\" src=\"images/tred_rb.gif\" width=\"10\"></td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"<br>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</td>\r\n"\
"</tr>\r\n"\
"</tbody>\r\n"\
"</table>\r\n"\
"</body>\r\n"\
"</html>"

#ifdef __cplusplus
extern "C"
{
#endif

    typedef struct http_message_st
    {
        enum
        {
            HTTP_MSG_REQUEST,
            HTTP_MSG_RESPONSE
        } message_type;

        enum
        {
            HTTP_MSG_ACTION_UNKNOWN = 0,
            HTTP_MSG_ACTION_RELAY,
            HTTP_MSG_ACTION_BLOCK,
            HTTP_MSG_ACTION_REDIRECT,      /* For AV Enforcer */
            HTTP_MSG_ACTION_BLOCK_LOGIN,
            HTTP_MSG_ACTION_BLOCK_LOGIN_WITH_NO_PRIVILEGE_MSG,
            HTTP_MSG_ACTION_LOGIN,
            HTTP_MSG_ACTION_LOGIN_TIMEOUT,
            HTTP_MSG_ACTION_IDLE_TIMEOUT,
        } action;

        int sd;
        int ntfsd;
        tmufsaci_response_meta *prating_response;
        const char *host;
        const char *url;
    }
    http_message_t;

    int http_message_init(struct http_message_st *http_message, int sd, int ntfsd);
    int http_message_rset(struct http_message_st *http_message);
    int http_message_fini(struct http_message_st *http_message);
    int http_message_set_block(struct http_message_st *http_message, int nAction);
    int http_message_set_redirect(struct http_message_st *http_message);
    int http_message_set_relay(struct http_message_st *http_message);
    int http_message_write(struct http_message_st *http_message, unsigned char *ptr, int size);
    int http_message_flush(struct http_message_st *http_message);


#ifdef __cplusplus
} /* extern "C" */
#endif

#endif
